From 4e1ccae4905a14827ae162d739ab0d7950c92433 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Oct 09 2017 15:50:19 +0000
Subject: [PATCH 973/1001] Don't show the Cobweb widget all the time


---

diff --git a/hubs/static/client/app/components/CobWeb/index.js b/hubs/static/client/app/components/CobWeb/index.js
index 65b807a..4333f20 100644
--- a/hubs/static/client/app/components/CobWeb/index.js
+++ b/hubs/static/client/app/components/CobWeb/index.js
@@ -8,11 +8,13 @@ import CobWebIcon from './cobweb.png';
 export default class CobWeb extends React.Component {
 
   render() {
+    const old_limit = Date.now() - (1000 * 86400 * 31);  // 31 days
     let icon = null, msg = null;
-    if (this.props.cause == "archived") {
+
+    if (this.props.hub.config.archived) {
         icon = ArchivedIcon;
         msg = "This hub has been archived and locked.";
-    } else {
+    } else if (this.props.hub.mtime < old_limit) {
         icon = CobWebIcon;
         msg = (
             <span>
@@ -20,7 +22,10 @@ export default class CobWeb extends React.Component {
                 <TimeAgo date={this.props.mtime} />
             </span>
             );
+    } else {
+      return null;
     }
+
     return (
       <div className="CobWeb media mb-3">
         <img className="d-flex align-self-center mr-3 square-32" src={icon} />
@@ -30,5 +35,5 @@ export default class CobWeb extends React.Component {
       </div>
     );
   }
-}
 
+}
diff --git a/hubs/static/client/app/components/WidgetsArea.js b/hubs/static/client/app/components/WidgetsArea.js
index a23e3df..9fe6508 100644
--- a/hubs/static/client/app/components/WidgetsArea.js
+++ b/hubs/static/client/app/components/WidgetsArea.js
@@ -34,10 +34,7 @@ class WidgetsArea extends React.PureComponent {
               https://pagure.io/fedora-hubs/issue/133
             */
               !this.props.editMode &&
-              <CobWeb
-                cause={this.props.hub.config.archived ? "archived" : "old"}
-                mtime={this.props.hub.mtime}
-                />
+              <CobWeb hub={this.props.hub} />
             }
 
             <WidgetsColumn

